CICS Transaction Server for z/OS 4.2 detailed system requirements

Product documentation


Abstract

The tables in this document contain the detailed system requirements (DSR) for the supported operating systems, hardware and software requirements, and other related information for CICS Transaction Server for z/OS (CICS TS) V4.2.

Content

Hardware Requirements
Operating Systems
Optional Supported Software

When installing CICS TS V4.2, review the CICS TS V4.2 Program Directory for material and procedures associated with the installation of CICS TS. When upgrading to a new release of CICS, you should always review the Preventive Service Planning (PSP) information for the release of CICS you are installing.

IBM also recommends that you review the upgrading information when changing releases of CICS to determine if there are any known problems that you can avoid.

Hardware Requirements
Group Applicable OS Notes
Other Hardware All Applicable OS

Parallel Sysplex support
A Parallel Sysplex environment is not required for CICS TS V4.2, but can be exploited by the usage of the MVS system logger's log stream merging facility, and each of the following data-sharing facilities supported by CICS.

  • IMS databases
  • DB2 databases
  • VSAM data sets
  • CICS temporary storage
  • Coupling facility data tables
  • Named counter server.

System z cryptographic hardware
If you want to exploit signature verification functions with WS-Security, then appropriate System z cryptographic hardware is required.

  • For System z 800 and 900, this hardware is the Cryptographic Coprocessor Feature and the PCI Cryptographic Coprocessor.
  • For System z 890, 990, z9 and z10, it is the CP Assist for Cryptographic Functions and the Crypto Express 2 Coprocessor.
  • For System z196 it is the CP Assist for Cryptographic Functions and the Crypto Express 3 Coprocessor.

Katakana Terminal Devices
Because CICS issues some messages in mixed-case, the product is not supported with displays or terminal emulators that are restricted to the non-extended single-byte character set (SBCS) Katakana part of code page 930.

Processor All Applicable OS

CICS TS V4.2 runs on any IBM System z machine that supports z/OS V1.11.

Operating Systems
Operating System Attributes Notes
z/OS Platform listing of supported OS
z/OS 1.11 System z and future OS versions and fix packs Bitness: 64 Bit Tolerate, 31 Bit, 64 Bit Exploit
Deployment Role: Server
Hardware platform: System z

z/OS V1.11 or later is required. CICS TS V4.2 will not initialize in an environment with a lower level of operating system installed.

z/OS APAR OA34311 is required if running with z/OS V1.12 to enable 64-bit subspace support.

z/OS APAR OA32271 is required if running with z/OS V1.11 or z/OS V1.12 to capture 64-bit storage in system dumps when taken in subspace mode.

z/OS APAR OA32611 is required if running with z/OS V1.11 or z/OS V1.12 to use CICS tracing to GTF.

Optional Supported Software
Group Product Applicable OS Notes
Application Servers WebSphere Application Server for z/OS 6.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

See notes for WebSphere Application Server 7.0

WebSphere Application Server for z/OS 7.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

CICS TS V4.2 will interoperate with supported levels of WebSphere Application Server (all platforms) V6.1, or later using Web services and RMI/IIOP.

Case Resolution Tivoli Decision Support for z/OS 1.8 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Collaborative WebSphere MQ for z/OS 6.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM40076 is required.

Note: WebSphere MQ V7.0.1 or above plus PTFs for APARs PM34082 and PM32344 are required to support CICS Java applications that use the WebSphere MQ Java APIs. 

WebSphere MQ for z/OS 7.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

WebSphere MQ V7.0.1 or above plus PTFs for APARs PM34082 and PM32344 are required to support CICS Java applications that use the WebSphere MQ Java APIs.

Connectors CICS Online Transmission Time Optimizer 1.2 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PK89259 is required.

CICS Transaction Gateway Desktop Edition 8.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
CICS Transaction Gateway for Multiplatforms 7.1 and future releases, mod levels and fix packs (overview) All Applicable OS
CICS Transaction Gateway for Multiplatforms 8.0 and future releases, mod levels and fix packs (overview) All Applicable OS
CICS Transaction Gateway for z/OS 7.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
CICS Transaction Gateway for z/OS 8.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
CICS Universal Client 7.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Database Administration File Manager for z/OS 11.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Databases CICS Batch Application Control for z/OS V1.1.1 and future mod levels and fix packs (overview) (support) All Applicable OS

PTFs for APARs PK84665 and PM34067 are required.

CICS VSAM Recovery 4.3 and future fix packs All Applicable OS

PTFs for APARs PK82210 and PM34799 are required.

CICS VSAM Transparency for z/OS 1.2 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
DB2 for z/OS 9.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

See notes for DB2 for z/OS V10.1.

DB2 for z/OS 8.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

IBM Data Server Driver for JDBC and SQLJ version 3.62 provided by PM36832 is required for CICS Java applications that use JDBC or SQLJ.

DB2 for z/OS 10.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

IBM Data Server Driver for JDBC and SQLJ version 3.62 provided by APAR PM36832, or version 4.12 provided by APAR PM36838 are required for CICS Java applications that use JDBC or SQLJ.

IMS 10 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM31730 is required.

IMS 11 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM31729 is required.

IMS 12 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTFs for APARs PM31420, PM47327, PM45414, PM67188, and PM60830 are required.

Development Tools Application Performance Analyzer for z/OS 11.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM34080 is required.

CICS Configuration Manager for z/OS 2.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM32874 is required.

CICS Deployment Assistant for z/OS 1.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM38405 is required.

CICS Interdependency Analyzer for z/OS 3.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM34054 is required.

CICS Performance Analyzer for z/OS 3.2 and future fix packs (overview) (support) All Applicable OS

PTF for APAR PM30692 is required.

Debug Tool for z/OS 10.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM38729 is required.

Debug Tool for z/OS 11.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS

PTF for APAR PM27734 is required.

Fault Analyzer for z/OS 11.1 and future fix packs (overview) (support) All Applicable OS

PTF for APAR PM34295 is required.

Rational Developer for System z 7.5 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Rational Developer for System z 8.0.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
WebSphere Service Registry and Repository 6.2 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
WebSphere Service Registry and Repository 7.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Event Management WebSphere Business Events 6.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
WebSphere Business Events 7.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
WebSphere Business Monitor 6.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
WebSphere Business Monitor 7.0 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Java SDK IBM 64-bit SDK for z/OS, Java Technology Edition V6 Release 0 Modification 1 and future mod levels and fix packs All Applicable OS

IBM 64-bit SDK for z/OS, Java Technology Edition, V6.0.1 is required to run CICS Java applications, the CICS Web services assistant, and the CICS XML assistant.

Management Tools Tivoli OMEGAMON XE for CICS on z/OS 4.1.0 and future fix packs (overview) (support) All Applicable OS

PTFs for APARs OA36800 and OA36801 are required.

Tivoli OMEGAMON XE for CICS on z/OS 4.2.0 and future fix packs (overview) (support) All Applicable OS

PTF for APAR OA36801 is required.

Programming Language Enterprise COBOL for z/OS 3.4 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Enterprise COBOL for z/OS 4.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Enterprise PL/I for z/OS 3.7 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Enterprise PL/I for z/OS 4.1 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
IBM High Level Assembler for MVS, VM and VSE 1.6 w/HLASM for Linux for System z Feature 1.6 and future releases, mod levels and fix packs All Applicable OS
z/OS XL C/C++ 1.11 and future releases, mod levels and fix packs (overview) (support) All Applicable OS
Virtualization IBM PR/SM any version and future releases, mod levels and fix packs All Applicable OS
XML Toolkit XML Toolkit for z/OS V1R10 and future releases, mod levels and fix packs All Applicable OS

IBM XML Toolkit for z/OS V1.10 and PTF for APAR OA14956 are required to use web services security (WS-Security) in CICS. Guidance on configuration is in the CICS Information Center topic Prerequisites for Web Services Security.


Notes

COBOL, PL/I, C/C++, Java, and Assembler Compilers

  • Language Environment (LE) is required. Since LE is shipped as part of z/OS and z/OS V1.11 (or later) is required for CICS TS V4.2, your LE runtime must be at the z/OS V1.11 level or higher.
  • For a list of supported and out of service high-level programming languages and compilers, see the High-level language support section of the CICS TS V4.2 information center.

CICSPlex SM
If you have downlevel CMASs that will connect to any CICS TS V4.2 CMASs, you need to apply the PTFs for the following APARs to your downlevel CMASs:
  • PM30655 for CICS TS V4.1 (5655-S97)
  • PM30686 for CICS TS V3.2 (5655-M15)
  • PM30696 for CICS TS V3.1 (5655-M15)

The CICSPlex SM Web User Interface can be used with browsers that support HTML V4. Such as:
  • Microsoft Internet Explorer V6 and above
  • Mozilla Firefox V2 and above.

CICS Explorer
Customers will required CICS Explorer V1.1 or later. The system requirements for the CICS Explorer and CICS Explorer SDK are listed at http://www.ibm.com/software/htp/cics/explorer/requirements/

Information Center
For best results, view the Information Center using one of the following web browsers:
  • Microsoft Internet Explorer V7.0 and above.
  • Mozilla Firefox V3.6 and above.

To ensure that all the functions of the information center are usable, you must enable cookies and JavaScript in the web browser and allow pop-up windows.

The Information Center is published at the following web site: http://publib.boulder.ibm.com/infocenter/cicsts/v4r2/index.jsp. You can also download and install the information center on a workstation or server from the IBM Publications Center. The information center can run on the following platforms:
  • Windows XP Professional Intel 32-bit
  • Windows 7
  • AIX 5.3 PPC 64-bit (toleration only)
  • Red Hat Linux Enterprise Server 5 Intel 32-bit.
  • z/OS 1.11
A download is provided for each platform. You can also download and install the documentation in the CICS Explorer if preferred.
The Information Center includes PDF files for the manuals in the CICS library. These files can be viewed and printed using Adobe Reader, or a compatible viewer.

Notes
  1. Ensure that the latest levels of service are applied to each IBM product listed. In some cases, a specific version of a product might be required to take advantage of new function in CICS TS V4.2.
  2. Refer to the Announcement Letter for compatibility issues associated with CICS TS V4.2.
  3. When upgrading you should always review the Finding CICS Preventative Service Planning (PSP) Buckets for the release of CICS you are installing.
  4. IBM recommends that you review the Upgrading information for CICS when changing release of CICS, z/OS, or DB2 when changing releases of CICS to determine if there are known problems that you can avoid.
  5. The CICS Transaction Server for z/OS Developer Trial V4.2 is no longer available. The CICS TS Developer Trial V4.2 was a try-before-you-buy version of the full CICS TS V4.2 product and was for evaluation (non-production) use only, offering a full set of features but with restricted performance and limited operational lifespan. Program support was not provided through the Support Center for CICS TS Developer Trial V4.2 but support inquiries were submitted through the IBM developerWorks CICSdev forum.

Related Information

Product Alias/Synonym

CICS/TS CICS TS CICS Transaction Server

Rate this page:

(0 users)Average rating

Document information


More support for:

CICS Transaction Server
Installation

Software version:

4.2

Operating system(s):

z/OS

Reference #:

7020857

Modified date:

2014-10-07

Translate my page

Machine Translation

Content navigation